View Issue Details

IDProjectCategoryView StatusLast Update
0004929SOGoBackend Address Bookpublic2020-01-21 08:49
Reporterjoopmartens Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version4.2.0 
Fixed in Version4.3.0 
Summary0004929: Middle name field missing for contacts and not processed correctly when changed
Description

I'm running into the issue that changing middle names is not handled properly.

When changing the middle name of a contact on an Android smartphone using Activesync the middle name field is send to Sogo:

Jan 07 19:50:37 sogod [12325]: <0x0x557e5373bbf0[SOGoActiveSyncDispatcher]> EAS - request for device androidc1529267344: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/&quot;>
<Sync xmlns="AirSync:">
<Collections>
<Collection>
<SyncKey>1578357780</SyncKey>
<CollectionId>vcard%2Fpersonal</CollectionId>
<DeletesAsMoves/>
<GetChanges>1</GetChanges>
<WindowSize>10</WindowSize>
<Options>
<BodyPreference xmlns="AirSyncBase:">
<Type>1</Type>
<TruncationSize>200000</TruncationSize>
</BodyPreference>
</Options>
<Commands>
<Change>
<ServerId>18E9-5E13A680-5-69F5A700.vcf</ServerId>
<ApplicationData>
<Department xmlns="Contacts:"/>
<FileAs xmlns="Contacts:">Eagle, Test Van</FileAs>
<FirstName xmlns="Contacts:">Test</FirstName>
<MiddleName xmlns="Contacts:">middle</MiddleName>
<LastName xmlns="Contacts:">Eagle</LastName>
<JobTitle xmlns="Contacts:"/>
<IMAddress xmlns="Contacts2:"/>
<NickName xmlns="Contacts2:"/>
<Picture xmlns="Contacts:"/>
<Body xmlns="AirSyncBase:">
<Type>1</Type>
<Data/>
</Body>
</ApplicationData>
</Change>
</Commands>
</Collection>
</Collections>
</Sync>

In the raw vcard the displayname (FN) is changed but the middle name (3rd value of N) is unchanged.

BEGIN:VCARD
UID:18E9-5E13A680-5-69F5A700.vcf
VERSION:3.0
CLASS:PUBLIC
PROFILE:VCARD
FN:Eagle\, Test middle
N:Eagle;Test;van de
END:VCARD

When changing the middle name of a contact using Thunderbird with CardDAV the middle name is changed properly:

BEGIN:VCARD
UID:18E9-5E13A680-5-69F5A700.vcf
VERSION:3.0
CLASS:PUBLIC
PROFILE:VCARD
FN:Test middle Eagle
N:Eagle;Test;middle
BDAY:2020-01-01
END:VCARD

The webinterface of Sogo does not provide a middle name field for contacts at all during editing.

Please implement support for the middle name field including proper processing for changing this field using available methods and clients.

Steps To Reproduce
  1. Change middle name using activesync mobile client.

  2. Verify raw vcard for unchanged middle name value (3rd value of N).

  3. Edit contact using Sogo webinterface

  4. No middle name field available

Additional Information

This could possibly be cause by a lack of full support for vcard3/4 and therefore related to bug: 1205

TagsNo tags attached.

Relationships

related to 0001205 new update the vcard handling to VCARD 4 spec 

Activities

There are no notes attached to this issue.

Related Changesets

sogo: master 3f94516e

2020-01-16 16:05:15

root

Details Diff
fix(eas): additional name fields (fixes 0004929) Affected Issues
0004929
mod - ActiveSync/NGVCard+ActiveSync.m Diff File

sogo: master 0e5514e4

2020-01-20 11:04:06

ludovic


Committer: GitHub Details Diff
Merge pull request 0000267 from tfux/4929

fix(eas): additional name fields (fixes 0004929)
Affected Issues
0004929
mod - ActiveSync/NGVCard+ActiveSync.m Diff File

Issue History

Date Modified Username Field Change
2020-01-08 14:31 joopmartens New Issue
2020-01-09 06:59 Christian Mack Relationship added related to 0001205
2020-01-20 11:04 Changeset attached => sogo master 3f94516e
2020-01-20 11:04 ludovic Changeset attached => sogo master 0e5514e4
2020-01-20 11:04 ludovic Assigned To => ludovic
2020-01-20 11:04 ludovic Resolution open => fixed
2020-01-21 08:49 francis Status new => resolved
2020-01-21 08:49 francis Fixed in Version => 4.3.0